Skip to main content

List Volumes Endpoint

GET /v1/volumes

Authentication

Requires authentication via: OAuth2PasswordBearer.

Parameters

NameInTypeRequiredDescriptionConstraints
refresh_usagequerybooleanNodefault=false
X-API-Keyheaderstring | nullNonullable

Responses

200

Successful Response

application/json

Resolved schema:

{
"type": "array",
"items": {
"properties": {
"id": {
"type": "string",
"title": "Id"
},
"name": {
"type": "string",
"title": "Name"
},
"quota_bytes": {
"type": "integer",
"title": "Quota Bytes"
},
"used_bytes": {
"type": "integer",
"title": "Used Bytes"
},
"status": {
"type": "string",
"title": "Status"
},
"created_at": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
],
"title": "Created At"
},
"updated_at": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
],
"title": "Updated At"
}
},
"type": "object",
"required": [
"id",
"name",
"quota_bytes",
"used_bytes",
"status"
],
"title": "VolumeResponse"
},
"title": "Response List Volumes Endpoint V1 Volumes Get"
}

Field details:

FieldTypeRequiredDescriptionConstraints
[]objectYes
[].idstringYes
[].namestringYes
[].quota_bytesintegerYes
[].used_bytesintegerYes
[].statusstringYes
[].created_atstring | nullNoformat=date-time, nullable
[].updated_atstring | nullNoformat=date-time, nullable

422

Validation Error

application/json

Resolved schema:

{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}

Field details:

FieldTypeRequiredDescriptionConstraints
detailarray<object>No
detail[]objectNo
detail[].locarray<string | integer>No
detail[].loc[]string | integerNo
detail[].msgstringNo
detail[].typestringNo